Несколько уязвимостей в NetRisk

Дата публикации:
14.01.2008
Всего просмотров:
796
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0185
CVE-2008-0144
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NetRisk 1.x
Уязвимые версии: NetRisk 1.9.7, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "pid" в сценарии profile.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/index.php?page=profile&pid=-1[SQL]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/index.php?page=[file]

URL производителя: phprisk.org

Решение: Установите последнюю версию 1.9.7.patched с сайта производителя.

или введите имя

CAPTCHA